These are chat archives for rails-sqlserver/activerecord-sqlserver-adapter

11th
Dec 2016
Joe Bauser
@coderjoe
Dec 11 2016 04:19
@metaskills is there a reason we're aiming to build with anything other than the system openssl on linux?
for TinyTDS that is..
I was working up a case to always build against the ruby bundled openssl for windows to avoid the openssl binary compatability problems we experienced earlier.. but since rubyinstaller doesn't ship with headers I'm not sure how to ensure we're using the proper version...
Joe Bauser
@coderjoe
Dec 11 2016 04:24
I'm toying around with MakeMake's functionality to see if I can use it to inspect the libraries on the system and use only the appropriate openssl headers but it looks like then there would be problems with bundled binaries referencing different openssl versions than their install in cases where rubyinstaller updates to a newer version (like they just did to 1.0.2j at my request)